- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TRectangleHotSpot

    TComponent
       |
       --THotSpot
          |
          --TRectangleHotSpot

Class TRectangleHotSpot.

TRectangleHotSpot defines a rectangle hot spot region in a TImageMap control.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
integer | getBottom ()
string | getCoordinates ()
integer | getLeft ()
integer | getRight ()
string | getShape ()
integer | getTop ()
void | setBottom ( integer $value)
void | setLeft ( integer $value)
void | setRight ( integer $value)
void | setTop ( integer $value)

Methods Inherited From THotSpot

THotSpot::getAccessKey(), THotSpot::getAlternateText(), THotSpot::getAttribute(), THotSpot::getAttributes(), THotSpot::getCausesValidation(), THotSpot::getHasAttributes(), THotSpot::getHotSpotMode(), THotSpot::getNavigateUrl(), THotSpot::getPostBackValue(), THotSpot::getTabIndex(), THotSpot::getTarget(), THotSpot::getValidationGroup(), THotSpot::getViewState(), THotSpot::hasAttribute(), THotSpot::removeAttribute(), THotSpot::render(), THotSpot::setAccessKey(), THotSpot::setAlternateText(), THotSpot::setAttribute(), THotSpot::setCausesValidation(), THotSpot::setHotSpotMode(), THotSpot::setNavigateUrl(), THotSpot::setPostBackValue(), THotSpot::setTabIndex(), THotSpot::setTarget(), THotSpot::setValidationGroup(), THotSpot::setViewState()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getBottom

public integer getBottom | ()

Output
integer | the Y coordinate of the bottom side of the rectangle HotSpot region. Defaults to 0.
Exception

## getCoordinates

public string getCoordinates | ()

Output
string | coordinates defining this hotspot shape
Exception

## getLeft

public integer getLeft | ()

Output
integer | the X coordinate of the right side of the rectangle HotSpot region. Defaults to 0.
Exception

## getRight

public integer getRight | ()

Output
integer | the X coordinate of the right side of the rectangle HotSpot region. Defaults to 0.
Exception

## getShape

public string getShape | ()

Output
string | shape of this hotspot.
Exception

## getTop

public integer getTop | ()

Output
integer | the Y coordinate of the top side of the rectangle HotSpot region. Defaults to 0.
Exception

## setBottom

public void setBottom | (integer $value )

Input
integer | $value | the Y coordinate of the bottom side of the rectangle HotSpot region.
Output
Exception

## setLeft

public void setLeft | (integer $value )

Input
integer | $value | the X coordinate of the right side of the rectangle HotSpot region.
Output
Exception

## setRight

public void setRight | (integer $value )

Input
integer | $value | the X coordinate of the right side of the rectangle HotSpot region.
Output
Exception

## setTop

public void setTop | (integer $value )

Input
integer | $value | the Y coordinate of the top side of the rectangle HotSpot region.
Output
Exception